twitter4j.util

## Class CharacterUtil

- java.lang.Object
- - twitter4j.util.CharacterUtil

    public final class CharacterUtil
    extends Object

Since:
  Twitter4J 2.1.2
Author:
  Yusuke Yamamoto - yusuke at mac.com

### Field Summary

Fields
`static int` `MAX_TWEET_LENGTH`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `count(String text)` Counts the length of the tweet
`static boolean` `isExceedingLengthLimitation(String text)` Returns true if the length of the string is exceeding length limitation

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MAX_TWEET_LENGTH

    public static final int MAX_TWEET_LENGTH

See Also:
  Constant Field Values

### Method Detail

#### count

    public static int count(String text)

Counts the length of the tweet

Parameters:
  `text` - tweet to be counted
Returns:
  the length of the tweet

#### isExceedingLengthLimitation

    public static boolean isExceedingLengthLimitation(String text)

Returns true if the length of the string is exceeding length limitation

Parameters:
  `text` - String to be examined
Returns:
  if the length of the string is exceeding length limitation